> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balances

> Get balances

**Limit: 10 requests per 1 seconds**\
Get account balances in trading wallet, vault, staking and earn products.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "holding": [
              {
                  "token": "WOO",
                  "holding": "1",
                  "frozen": "0",
                  "staked": "0",
                  "unbonding": "0",
                  "vault": "0",
                  "interest": "0",
                  "earn": "0",
                  "pendingShortQty": "0",
                  "pendingLongQty": "0",
                  "availableBalance": "0",
                  "averageOpenPrice": "0.23432",
                  "markPrice": "0.25177",
                  "pnl24H": "0.0",
                  "fee24H": "0.0",
                  "timestamp": 1673323746259
              },
              ...
          ]
      },
      "timestamp": 1673323746259
  }


  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/asset/balances
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/asset/balances:
    get:
      description: Get balances
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: token
          in: query
          description: Token to query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBalancesResponse'
      security: []
components:
  schemas:
    GetBalancesResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                holding:
                  type: array
                  items:
                    type: object
                    properties:
                      token:
                        type: string
                        description: The token symbol (e.g., WOO).
                      holding:
                        type: string
                        description: >-
                          The total amount of the token currently held by the
                          user.
                      frozen:
                        type: string
                        description: >-
                          The amount of the token that is frozen (e.g., due to
                          open orders or other restrictions).
                      staked:
                        type: string
                        description: The amount of the token that is currently staked.
                      unbonding:
                        type: string
                        description: >-
                          The amount of the token that is in the unbonding
                          period.
                      vault:
                        type: string
                        description: The amount of the token in the vault.
                      interest:
                        type: string
                        description: The interest earned from holding the token.
                      earn:
                        type: string
                        description: >-
                          The amount of the token earned from yield or other
                          programs.
                      pendingShortQty:
                        type: string
                        description: The pending quantity for short positions.
                      pendingLongQty:
                        type: string
                        description: The pending quantity for long positions.
                      availableBalance:
                        type: string
                        description: >-
                          The available balance of the token for trading or
                          withdrawal.
                      averageOpenPrice:
                        type: string
                        description: >-
                          The average open price of the user's positions in the
                          token.
                      markPrice:
                        type: string
                        description: The current market price of the token.
                      pnl24H:
                        type: string
                        description: >-
                          The profit or loss in the past 24 hours for this
                          token.
                      fee24H:
                        type: string
                        description: >-
                          The total fees incurred in the past 24 hours for this
                          token.
                      timestamp:
                        type: integer
                        format: int64
                        description: >-
                          The timestamp (Unix epoch in milliseconds) of the data
                          snapshot.
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````